Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 444502 - app-benchmarks/phoronix-test-suite-4.0.1 - No matter what, it complains that PHP_TARGETS is empty
Summary: app-benchmarks/phoronix-test-suite-4.0.1 - No matter what, it complains that ...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 20:43 UTC by Timothy Miller
Modified: 2016-10-01 07:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Miller 2012-11-23 20:43:37 UTC
Whenever I try to emerge app-benchmarks/phoronix-test-suite-4.0.1, I get this error:


 * Messages for package app-benchmarks/phoronix-test-suite-4.0.1:

 * 
 * PHP_TARGETS seems empty, php.ini file can't be configure.
 * Make sure that PHP_TARGETS in /etc/make.conf is set.
 * phoronix-test-suite needs the 'allow_url_fopen' option set to "On"
 * for downloading to work properly.
 * 


However, my PHP_TARGETS is set:

PHP_TARGETS="php5-3 php5-4"
Comment 1 Timothy Miller 2012-11-23 20:44:59 UTC
# emerge --info phoronix-test-suite
Portage 2.1.11.31 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.16.0, 3.4.3-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.3-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9450_@_2.66GHz-with-gentoo-2.2
Timestamp of tree: Fri, 23 Nov 2012 08:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.10.1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.5
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo local_overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=4"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://gentoo.netnitco.net http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ ftp://mirror.datapipe.net/gentoo ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.mirrors.easynews.com/linux/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="--jobs=2 --load-average=7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib accessibility acl acpi alsa amd64 apache2 apng aspell autotrace bash-completion berkdb bidi bonjour bzip2 cairo cdda cdio cdr chappa cli clucene composite consolekit cracklib crypt ctype cups curl cxx dbus declarative device-mapper dri dts dvd dvdr encode exif extras fbcon ffmpeg fftw filter flac fontconfig fortran freetype gcj gd gdbm git glib gmm gpm graphviz gs gudev httpd hwdb iconv imagemagick ipp ipv6 ithreads jadetex java jpeg jpeg2k kde kde4 kdepim kerberos kpathsea kvm lame lapack largefile latex lcms ldap live lm_sensors lua lzma mad matroska mdnsresponder-compat minizip mjpeg mkl mmx mng modules mp3 mpeg mudflap multilib mysql mysqli ncurses nls nptl ogg oggvorbis openexr opengl openmp openssl pam pcntl pcre pdf perl php plasma plotutils png policykit ppds pppd python qemu qt3support qt4 quicktime readline reports rss ruby samba sasl sdl secure-delete semantic-desktop session smp spl sql sse sse2 sse3 ssl stream subversion svg tcl tcpd theora threads thumbnail tiff tk tordns tordnsi truetype unicode utempter vcd vlm vnc vorbis webkit wxwindows x264 xcomposite xml xv xvid zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" PHP_TARGETS="php5-3 php5-4" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

app-benchmarks/phoronix-test-suite-4.0.1 was built with the following:
USE="bash-completion (multilib)"
Comment 2 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2012-11-23 22:09:40 UTC
> if [[ "x${PHP_TARGETS}" == "x" ]] ; then

Odd, because I think that the condition to trigger that message is fine.

Perhaps

> if [[ -n "${PHP_TARGETS}" ]] ; then

could be used instead which checks for a string of non-zero length, or is there a reason not to do that?

http://devmanual.gentoo.org/tools-reference/bash/index.html
Comment 3 Søren Boisen 2012-12-03 14:37:59 UTC
I am also seeing this issue:

sboisen@nikanuuranu ~ $ grep PHP_TARGETS /var/log/portage/app-benchmarks\:phoronix-test-suite-4.0.1\:20121203-130519.log 
 * PHP_TARGETS seems empty, php.ini file can't be configure.
 * Make sure that PHP_TARGETS in /etc/make.conf is set.

Despite having added it to make.conf:

sboisen@nikanuuranu ~ $ grep PHP_TARGETS /etc/make.conf
PHP_TARGETS="php5-3 php5-4"

I created a tiny script that tries to emulate the ebuild:

sboisen@nikanuuranu ~ $ cat test.sh 
#!/bin/bash
source /etc/make.conf

if [[ "x${PHP_TARGETS}" == "x"  ]] ; then
  echo "no PHP_TARGETS env var found"
else
  echo "$PHP_TARGETS"
fi

Strangely, it seems to work fine here:

sboisen@nikanuuranu ~ $ ./test.sh 
php5-3 php5-4
Comment 4 duby229 2012-12-25 22:09:37 UTC
eexactly the same bug here guys. running the set command does not show this variable as set though. and exporting doesnt help either. 

However running emerge --info | grep PHP_TARGETS does show the variable as php5-4 which is not what I have in my make.conf. There is something very goofy going on here.
Comment 5 No Name 2013-11-29 11:22:58 UTC
Bug was never fixed. On the recent version in portage tree the exactly same problem is existing... I have set the variable in my make.conf but there is no change, what is the problem here?
Comment 6 Jorrit Schippers 2014-09-01 10:16:55 UTC
Same issue here: my make.conf has:

'PHP_TARGETS="php5-4 php5-5 php5-3"'

but emerge --info says:

PHP_TARGETS="php5-4 php5-5"

I have installed PHP 5.3.29, 5.4.32 and 5.5.16. 5.3 is the default.
Comment 7 Jorrit Schippers 2014-09-05 11:51:37 UTC
I've found it: the PHP 5.3 use flag is masked. I could not find out since when it has been masked by looking in the ChangeLog file.
Comment 8 Mads 2016-03-17 11:26:23 UTC
Hasn't this to do with that USE_EXPANDS from make.conf can't be checked this way? Most ebuilds uses "php_targets_{target}? (do whatever)" statements...

I think you have to source this manually from make.conf if you want it to work this way..
Comment 9 Pacho Ramos gentoo-dev 2016-10-01 07:56:57 UTC
removed